using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 供应商信息
    /// </summary>
    public class SellerItem
    {
        public SellerItem()
        {
            Brands = new List<string>();
            Familys = new List<string>();
        }
        [JsonProperty("venderId")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("website")]
        public string Website { get; set; }
        [JsonProperty("brandList")]
        public List<string> Brands { get; set; }
        [JsonProperty("eqFamilyList")]
        public List<string> Familys { get; set; }
        /// <summary>
        /// 关联项目数量
        /// </summary>
        public  int ProjectCount { get; set; }
     
    }
    /// <summary>
    /// 供应商资产信息
    /// </summary>
    public class SellerAssetItem
    {
        /// <summary>
        /// 资产Id
        /// </summary>
        [JsonProperty("id")]
        public string Id { get; set; }
        /// <summary>
        /// 设备分类
        /// </summary>
        [JsonProperty("family")]
        public string Family { get; set; }
        /// <summary>
        /// 关联资产信息
        /// </summary>
        [JsonProperty("infos")]
        public SellerAssetInfo Asset { get; set; }
    }
    /// <summary>
    /// 资产信息
    /// </summary>
    public class SellerAssetInfo
    {
        /// <summary>
        /// 本地名称
        /// </summary>
        [JsonProperty("EquipLocalName")]
        public string EquipLocalName { get; set; }
        /// <summary>
        /// 本地编码
        /// </summary>
        [JsonProperty("EquipLocalId")]
        public string EquipLocalId { get; set; }
        /// <summary>
        /// 资产编码
        /// </summary>
        [JsonProperty("AssetID")]
        public string AssetId { get; set; }
        /// <summary>
        /// 品牌
        /// </summary>
        [JsonProperty("Brand")]
        public string Brand { get; set; }
        /// <summary>
        /// 产品名
        /// </summary>
        [JsonProperty("Product")]
        public string Product { get; set; }
        /// <summary>
        /// 型号
        /// </summary>
        [JsonProperty("Specification")]
        public string Specification { get; set; }
        /// <summary>
        /// 采购价格
        /// </summary>
        [JsonProperty("PurchasePrice")]
        public string PurchasePrice { get; set; }
        /// <summary>
        /// 保修期
        /// </summary>
        [JsonProperty("Warranty")]
        public string Warranty { get; set; }
        /// <summary>
        /// 生产日期
        /// </summary>
        [JsonProperty("ProductDate")]
        public string ProductDate { get; set; }
        /// <summary>
        /// 出厂编号
        /// </summary>
        [JsonProperty("SerialNum")]
        public string SerialNum { get; set; }
        /// <summary>
        /// 供应合同编号
        /// </summary>
        [JsonProperty("SupplierContractID")]
        public string SupplierContractID { get; set; }
      
    }
}
